package com.pusong.business.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

/**
 * 支付状态美剧
 */
@Getter
@AllArgsConstructor
public enum PayStatusEnum {
    /**
     * 回款状态：审批中（0支付中）-》审批成功（1成功）
     *                          -》审批拒绝（2失败）
     * 退款状态：退款审批中（3）-》审批拒绝（2）
     *                      -》审批成功（0）-》财务操作退款（1成功）
     */
    PAYAPPO("3","退款支付审批中"),
    PAYING("0","支付中"),
    SUCCESS("1","成功"),
    FILE("2","失败");
    private String code;
    private String text;

    /**
     * 查询收款记录时无用的状态
     * @return
     */
    public static List<String> getStatus() {
        return List.of(PAYAPPO.getCode(),FILE.getCode());
    }
}
